Skip to content

Update DNS record

PATCH /dns/rr

Operation ID: PatchRecord

Update a DNS record and automatically detect the record based on the name and type specified in the parameters. If you want to update the name or type attribute, please refer to the PATCH /dns/rr/{rrid} endpoint.

recordRequestFQDN

FieldTypeRequiredDescription
namefqdnyesFully Qualified Domain Name (FQDN, ending with a period).
typetypeno-
ttlttlnoTime To Live in seconds (60-86400)
annotationstringnoA custom note for this particular record.

Plus the fields of one of these variants:

VariantFields
Adata: ipv4
AAAAdata: ipv6
CNAMEdata: fqdn
CAAflags: integer, tag: string, data: string
ALIASdata: fqdn
MXdata: fqdn, priority: integer
TXTdata: string
StatusTypeDescription
200recordResponseThe record corresponding to the provided name/type combination
400ErrorInvalid request
401ErrorUnauthorized
404ErrorNo record found for the provided name/type combination
417ErrorDNS record update violates a zone constraint
500ErrorUnexpected error
FieldTypeRequiredDescription
successbooleanyesSuccess indicator
codeintegernoResponse/Error Code
responserecordResponseno-
Terminal window
curl -X PATCH "https://api.regfish.com/dns/rr" \
-H "x-api-key: $REGFISH_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "www",
"type": "A",
"ttl": 600,
"annotation": "string",
"data": "12.12.12.12"
}'

Fill in values - the call below updates as you type. Nothing is sent: the API does not currently allow browser requests from this domain (CORS). The API key is not stored.